/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\pkmage.cs
Lines of code: 89
***********************************************************/


using System;
using System.Collections;
using Server.Items;


namespace Server.Mobiles
{
	[CorpseName( "a pk mage corpse" )]
	public class pkmage : BaseCreature
	{
		public override bool ClickTitle{ get{ return false; } }


		
		[Constructable]
		public pkmage() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.049, 0.049 )
		{
		
		
			SpeechHue = Utility.RandomDyedHue();
			Hue = Utility.RandomSkinHue();
			Name = "PEEKAY";
			Body = (( this.Female = Utility.RandomBool() ) ? Body = 0x191 : Body = 0x190);
			
			Hue = Utility.RandomSkinHue();

			switch ( Utility.Random( 4 ))
			{
			case 0: new Horse().Rider = this; break;
			case 1: new EtherealSwampDragon().Rider = this; break;
			case 2: new EtherealKirin().Rider = this; break;
			case 3: new Nightmare().Rider = this; break;
			}
			
			
			
			
			SetDamage( 5, 10 );

			SetDamageType( ResistanceType.Physical, 20 );
			SetDamageType( ResistanceType.Fire, 20 );
			SetDamageType( ResistanceType.Cold, 20 );
			SetDamageType( ResistanceType.Poison, 20 );
			SetDamageType( ResistanceType.Energy, 20 );

			SetResistance( ResistanceType.Physical, 70 );
			SetResistance( ResistanceType.Fire, 70);
			SetResistance( ResistanceType.Cold, 70 );
			SetResistance( ResistanceType.Poison, 70 );
			SetResistance( ResistanceType.Energy, 70  );

			
			SetStr( 90, 100 );
			SetDex( 30, 40 );
			SetInt( 110, 125 );

	        SetHits( 99, 150 );
			SetMana( 110, 230 );			
			
			
			SetSkill( SkillName.MagicResist, 100, 120 );
			SetSkill( SkillName.Meditation, 100, 120 );
			SetSkill( SkillName.Focus, 100, 120 );
			SetSkill( SkillName.Wrestling, 100, 120 );
			SetSkill( SkillName.Magery, 110, 120 );
			SetSkill( SkillName.EvalInt, 110, 200 );
			SetSkill( SkillName.Anatomy, 100, 120 );
			
			
			 

			Fame = 0;
			Karma = 0;

			AddItem( new Robe(Utility.RandomNeutralHue()) );
			AddItem( new Cloak(Utility.RandomNeutralHue()) );
			

			OrnamentOfThePKer brace = new OrnamentOfThePKer();
			brace.Movable = false;
			AddItem(brace);



			if (Utility.Random(10)==4)
			{
			SwordsOfProsperity weapon = new SwordsOfProsperity();
			weapon.Movable = false;
			AddItem(weapon);
			}
	
			PackReg( 26 );
			Utility.AssignRandomHair( this );
		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
	 	}


		public override void GenerateLoot()
		{
		AddLoot( LootPack.Rich );
		}
		public override bool CanRummageCorpses{ get{ return true; } }
		public override bool AlwaysMurderer{ get{ return true; } }
		public override bool BardImmune{ get{ return true; } }

		public pkmage( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
